0

When I run apt-get install python3-picamera it fails with different dependency issues like: files list file for package 'libparams-util-perl' is missing final newline

or

files list file for package ''libpam0g-dev.' is missing final newline

I've run sudo apt update; and sudo apt upgrade but neither seem to help.

I also read to delete the entries for the corresponding packages, and reinstall them in /var/lib/dpkg/<package> but that doesn't seem to work either.

Can someone please help?

  • picamera's installed by default on Raspbian (has been for quite a while now); are you using Raspbian, or some other distro on your Pi? – Dave Jones Sep 2 '17 at 23:54
0

Just checking, have you tried installing it as superuser?

sudo apt-get install python3-picamera

Alternatively, are you sure you need this library? I've been programming my PiCamera on a RPi3 and didn't need to install any additional libraries. Have you tried just enabling the camera on Interfacing Options at:

sudo raspi-config

and running a simple example to see if it works?

Your Answer

By clicking "Post Your Answer", you acknowledge that you have read our updated terms of service, privacy policy and cookie policy, and that your continued use of the website is subject to these policies.

Not the answer you're looking for? Browse other questions tagged or ask your own question.